Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Import_Attributes Class Template Reference

`#include <Trader_T.h>`

Inheritance diagram for TAO_Import_Attributes:

[legend]
Collaboration diagram for TAO_Import_Attributes:

[legend]
List of all members.

## Public Methods
| TAO_Import_Attributes (const TAO_Import_Attributes_i &attrs)
virtual CORBA::ULong | def_search_card (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | max_search_card (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | def_match_card (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | max_match_card (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | def_return_card (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | max_return_card (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | max_list (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | def_hop_count (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CORBA::ULong | max_hop_count (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::FollowOption | def_follow_policy (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
virtual CosTrading::FollowOption | max_follow_policy (ACE_ENV_SINGLE_ARG_DECL_NOT_USED) throw (CORBA::SystemException)
## Private Attributes
const TAO_Import_Attributes_i & | attrs_

### template<class IF>
class TAO_Import_Attributes< IF >

## Constructor & Destructor Documentation

template<class IF>
TAO_Import_Attributes< IF >::TAO_Import_Attributes | ( | const TAO_Import_Attributes_i & | attrs | ) |

## Member Function Documentation

template<class IF>
CosTrading::FollowOption TAO_Import_Attributes< IF >::def_follow_policy | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::def_hop_count | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::def_match_card | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::def_return_card | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::def_search_card | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CosTrading::FollowOption TAO_Import_Attributes< IF >::max_follow_policy | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::max_hop_count | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::max_list | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::max_match_card | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::max_return_card | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

template<class IF>
CORBA::ULong TAO_Import_Attributes< IF >::max_search_card | ( | ACE_ENV_SINGLE_ARG_DECL_NOT_USED |  | ) | throw (CORBA::SystemException)`[virtual]`

## Member Data Documentation

template<class IF>
const TAO_Import_Attributes_i& TAO_Import_Attributes::attrs_`[private]`

The documentation for this class was generated from the following files:

- Trader_T.h
- Trader_T.cpp